package io.gmss.fiscad.interfaces.infocad.parametre;

import io.gmss.fiscad.entities.infocad.parametre.ModeAcquisition;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface ModeAcquisitionService {

    ModeAcquisition createModeAcquisition(ModeAcquisition modeAcquisition) throws BadRequestException;

    ModeAcquisition updateModeAcquisition(Long id, ModeAcquisition modeAcquisition) throws NotFoundException;

    void deleteModeAcquisition(Long id) throws NotFoundException;

    Page<ModeAcquisition> getModeAcquisitionList(Pageable pageable);

    List<ModeAcquisition> getModeAcquisitionList();

    Optional<ModeAcquisition> getModeAcquisitionById(Long id);
}
